Subject: bug#14326: 24.3; Conflict of w32-send-sys-command and set-default-font

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 May 2013 18:48:25 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Fri, 3 May 2013 07:59:54 -0700
> 
> Is a `maximized' frame parameter value (or whatever it is) something that
> overrides other frame paramters regarding size?

No.  Whenever the frame is maximized, the size parameters are updated
accordingly.  But the action of maximizing the frame might invoke some
functions in the window manager that are not invoked by merely
resizing the screen.

> Is the intention that one cannot change the size, once a frame has
> been maximized (without first unmaximizing it)?

There's no such intention.  What Martin is arguing (I think) was that
in a maximized frame, set-default-font should alway behave as if its
2nd argument were non-nil.